import React from 'react';
import { Card } from 'antd';
import * as echarts from 'echarts/core';
import Chart from '@/components/chart';
import { getStatIssueLoc } from '@/service/stat';

export default (props) => {

  const [option, setOption] = React.useState({});

  React.useEffect(() => {
    getStatIssueLoc().then(res => {
      setOption({
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            type: 'cross',
            label: {
              backgroundColor: '#FB9900'
            }
          }
        },
        grid: {
          top: 20,
          left: 40,
          bottom: 100,
          right: 40,
        },
        xAxis: [
          {
            type: 'category',
            data: res.map(x => x.name),
            axisLabel: {
              rotate: 45,
            }
          }
        ],
        yAxis: [
          {
            type: 'value',
            minInterval: 1
          }
        ],
        series: [
          {
            type: 'bar',
            itemStyle: {
              color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                { offset: 0, color: '#FB9900' },
                { offset: 1, color: '#FFD38F' }
              ])
            },
            data: res.map(x => x.value)
          }
        ]
      })
    })
  }, []);

  return (
    <Card title="点位分类">
      <Chart option={option} style={props.style}></Chart>
    </Card>
  )
}