import React from 'react';
import { Button, Form, Input, Radio } from 'antd';
import md5 from 'md5';
import { login } from '@/service/login';

const submitStyle = {
  width: '100%',
  marginTop: '24px',
  borderRadius: '4px',
}

export default (props) => {
  const { onSuccess } = props;
  const [form] = Form.useForm();
  const [loading, setLoading] = React.useState(false);

  const onFinish = (values) => {
    const data = {
      ...values,
      password: md5(values.password)
    }

    setLoading(true);
    login(data).then(() => {
      onSuccess();
      setLoading(false);
    }).catch(() => {
      setLoading(false);
    });
  }

  return (
    <Form form={form} layout="vertical" onFinish={onFinish}>
      <Form.Item name="account" label="用户名" required>
        <Input placeholder="请输入用户名" style={{ borderRadius: '4px' }} />
      </Form.Item>
      <Form.Item name="password" label="密 码" required>
        <Input.Password placeholder="请输入密码" style={{ borderRadius: '4px' }} />
      </Form.Item>
      <Form.Item>
        <Button
          type="primary"
          size='large'
          style={submitStyle}
          loading={loading}
          htmlType="submit"
        >登录</Button>
      </Form.Item>
    </Form>
  )
}
